%define upstream_name    Text-CharWidth
%define upstream_version 0.04

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 26

Summary:	Text-CharWidth module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel


%{?perl_default_filter}

%description
Text::CharWidth - Get number of occupied columns of a string on
terminal

This module supplies features similar as wcwidth(3) and wcswidth(3) in
C language.

Characters have its own width on terminal depending on locale. For
example, ASCII characters occupy one column per character, east Asian
full-width characters (like Hiragana or Han Ideograph) occupy two
columns per character, and combining characters (appearing in
ISO-8859-11 Thai, Unicode, and so on) occupy zero columns per
character. mbwidth() gives the width of the first character of the
given string and mbswidth() gives the width of the whole given string.

The names of mbwidth and mbswidth came from ``multibyte'' versions of
wcwidth and wcswidth which are ``wide character'' versions.

mblen(string) returns number of bytes of the first character of the
string. Please note that a character may consist of multiple bytes in
multibyte encodings such as UTF-8, EUC-JP, EUC-KR, GB2312, or Big5.

mbwidth(string) returns the width of the first character of the
string. mbswidth(string) returns the width of the whole string.

Parameters are to be given in locale encodings, not always in UTF-8.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#!/usr/local/bin/perl|#!%{_bindir}/perl|g"

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/Text/CharWidth.pm
%{perl_vendorarch}/auto/Text/CharWidth/CharWidth.so
%{_mandir}/man3/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.40.0-26.mga9
+ Revision: 1862440
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.40.0-25.mga9
+ Revision: 1796081
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.40.0-24.mga9
+ Revision: 1727146
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.40.0-23.mga8
+ Revision: 1594757
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.40.0-22.mga8
+ Revision: 1530140
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.40.0-21.mga8
+ Revision: 1433919
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.40.0-20.mga7
+ Revision: 1293880
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.40.0-19.mga7
+ Revision: 1249291
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.40.0-18.mga7
+ Revision: 1166952
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.40.0-17.mga7
+ Revision: 1149298
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.40.0-16.mga7
+ Revision: 1126579
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-15.mga6
+ Revision: 1034901
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.40.0-14.mga6
+ Revision: 958080
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.40.0-13.mga6
+ Revision: 845316
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.40.0-12.mga6
+ Revision: 841451
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-11.mga5
+ Revision: 745708
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.40.0-10.mga5
+ Revision: 736089
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-9.mga5
+ Revision: 686607
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.40.0-8.mga5
+ Revision: 631778
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-7.mga4
+ Revision: 524981
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.40.0-6.mga4
+ Revision: 431806
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-5.mga3
+ Revision: 374003
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-4.mga3
+ Revision: 251218
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.40.0-3.mga2
+ Revision: 105038
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.40.0-2.mga1
+ Revision: 31303
- mageia rebuild
- imported package perl-Text-CharWidth


* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.40.0-2mdv2011.0
+ Revision: 555237
- rebuild

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 405663
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.04-6mdv2009.0
+ Revision: 258614
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.04-5mdv2009.0
+ Revision: 246628
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.04-3mdv2008.1
+ Revision: 151405
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.04-2mdv2008.0
+ Revision: 76892
- rebuild


* Fri Jul 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.04-1mdv2007.0
- initial Mandriva package

